### get_vect -- Get a copy of the vector contents

    extv = v%get_vect([n])

Type:
  Asynchronous.
On Entry
v
  the dense vector
  Scope: local
n
  Size to be returned
  Scope: local.
  Type: optional; default: entire vector.

On Return
Function value
  An allocatable array holding a copy of the dense vector contents. If the argument is specified, the size of the returned array equals the minimum between and the internal size of the vector, or 0 if is negative; otherwise, the size of the array is the same as the internal size of the vector.